Package org.gradle.util

## Class ConfigureUtil.WrappedConfigureAction<T>

- java.lang.Object
- - org.gradle.util.ConfigureUtil.WrappedConfigureAction<T>

- Type Parameters:
    `T` - the action type.
  All Implemented Interfaces:
    `Action<T>`
  Enclosing class:
    ConfigureUtil

      @Deprecated
      public static class ConfigureUtil.WrappedConfigureAction<T>
      extends java.lang.Object
      implements Action<T>

  Deprecated.
  Wrapper configure action.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(T t)` | Deprecated. Performs this action against the given object.
    `Closure` | `getConfigureClosure()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### execute

          public void execute​(T t)

      Deprecated.
      Description copied from interface: `Action`
      Performs this action against the given object.
      Specified by:
        `execute` in interface `Action<T>`
      Parameters:
        `t` - The object to perform the action on.

    - #### getConfigureClosure

          public Closure getConfigureClosure()

      Deprecated.